Skip to main content
GET
/
v1
/
postmortem_documents
List
curl --request GET \
  --url https://api.incident.io/v1/postmortem_documents \
  --header 'Authorization: Bearer <token>'
{
  "pagination_meta": {
    "after": "01FCNDV6P870EA6S7TK1DSYDG0",
    "page_size": 25
  },
  "postmortem_documents": [
    {
      "created_at": "2021-08-17T13:28:57.801578Z",
      "document_url": "https://app.incident.io/my-org/incidents/123/post-mortems/01GDZEW57FDA1K4S63MGMQ5DS9",
      "editors": [
        {
          "email": "lisa@incident.io",
          "id": "01FCNDV6P870EA6S7TK1DSYDG0",
          "name": "Lisa Karlin Curtis",
          "role": "viewer",
          "slack_user_id": "U02AYNF2XJM"
        }
      ],
      "exported_urls": [
        "https://www.notion.so/INC-123-sad-database",
        "https://docs.google.com/document/d/1234"
      ],
      "id": "01GDZEW57FDA1K4S63MGMQ5DS9",
      "incident_id": "01GBA8J19SMXQWPJMX3P2ESCVG",
      "status": "in_progress",
      "title": "INC-123: Database is sad",
      "updated_at": "abc123"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Query Parameters

page_size
integer<int64>
default:25

Integer number of records to return

Required range: x <= 250
Example:

25

after
string

A post-mortem document's ID. This endpoint will return a list of post-mortem documents after this ID.

Example:

"01G0J1EXE7AXZ2C93K61WBPYEH"

incident_id
string

Filter to only return post-mortem documents for the given incident

Example:

"01GBA8J19SMXQWPJMX3P2ESCVG"

sort_by
enum<string>
default:created_at_newest_first

Controls the order that results are returned in

Available options:
created_at_newest_first,
created_at_oldest_first
Example:

"created_at_oldest_first"

Response

200 - application/json

OK response.

pagination_meta
object
required
Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}
postmortem_documents
object[]
required
Example:
[
{
"created_at": "2021-08-17T13:28:57.801578Z",
"document_url": "https://app.incident.io/my-org/incidents/123/post-mortems/01GDZEW57FDA1K4S63MGMQ5DS9",
"editors": [
{
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "viewer",
"slack_user_id": "U02AYNF2XJM"
}
],
"exported_urls": [
"https://www.notion.so/INC-123-sad-database",
"https://docs.google.com/document/d/1234"
],
"id": "01GDZEW57FDA1K4S63MGMQ5DS9",
"incident_id": "01GBA8J19SMXQWPJMX3P2ESCVG",
"status": "in_progress",
"title": "INC-123: Database is sad",
"updated_at": "abc123"
}
]